/* resets */

*, *::before, *::after {
  box-sizing: border-box;
}
* {
  margin: 0;
}
body {
  -webkit-font-smoothing: antialiased;
}

img, picture, video, canvas, svg {
  display: block;
  max-width: 100%;
}
/*
  6. Remove built-in form typography styles
*/
input, button, textarea, select {
  font: inherit;
}
 h1, h2, h3, h4, h5, h6 {
  white-space: balace;
}


/* Start Custom Fonts CSS */
/* @font-face {
    font-family: 'GothamRoundedBook';
    font-style: normal;
    font-weight: normal;
    font-display: auto;
    src: url('https://www.camuzzigas.com/wp-content/uploads/2022/10/gothamroundedbook_21018.ttf') format('truetype');
} */

/* End Custom Fonts CSS */
/* Start Custom Fonts CSS */
@font-face {
    font-family: 'Gotham Rounded';
    font-style: normal;
    font-weight: normal;
    font-display: auto;
    src: url('../fonts/gothamroundedmedium_21022.ttf') format('truetype');
}

/* End Custom Fonts CSS */


body{
    background: #0066B3;
    min-height: 100dvh;
    padding: 40px 16px;
}

.container {
    max-width: 1400px;
    margin: 0 auto;
}

.container-sm {
    max-width: 800px;
    margin: 0 auto;
}

header {
    min-height: 60px;
}

nav { 
    display: flex;
    align-items: center;
    
}

nav a {
    color: #fff;
    font-family: Roboto;
    font-size: 16px;
    text-decoration: none;
}

.wrap-logo {
    display: flex;
    align-items: center;
    justify-content: center;
}
.wrap-logo .logo{
    margin-right: 26px;
}

.bg-cred {
    max-width: 620px;
    min-height: 540px;
    margin: 20px auto;
    border-radius: 20px;
    border: 1px solid var(--1-e-3462, rgba(30, 52, 98, 0.10));
    background: var(--ffffff, #FFF);
    padding:50px 40px;
    /* shadow */
    box-shadow: 4px 4px 10px 4px rgba(0, 0, 0, 0.02);
    text-align: center;
}

.bg-cred h1 {
    color: var(--1-e-3462, #1E3462);
    text-align: center;
    font-family: "Gotham Rounded";
    font-size: 32px;
    font-style: normal;
    font-weight: 500;
    line-height: 32px; /* 100% */
    white-space: balance;
    margin-bottom: 16px;
    margin-top: 20px;
    
}

.bg-cred h2 {
    color: var(--1-e-3462, #1E3462);
    text-align: center;
    font-family: "Gotham Rounded";
    font-size: 26px;
    font-style: normal;
    font-weight: 500;
    line-height: 28px; /* 100% */
    white-space: balance;
    margin-bottom: 16px;
    
}
.bg-cred p {
    color: rgba(30, 52, 98, 0.80);
    text-align: center;
    font-family: Roboto;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    
}

.bg-cred .wrap-dni {
    margin-top: 50px;
    margin-bottom: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;

}

.bg-cred  input{
    display: flex;
    width: 60px;
    min-height: 80px;
    padding: 15px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
    border: 0;
    border-radius: 6px 6px 6px 6px;
    background: rgba(95, 106, 130, 0.05);
    color: #465C81;
    text-align: center;
    font-weight: 500;
    font-family: "Gotham Rounded";
    font-size: 35px;
}


.bg-cred  input:focus{
    border: 0;
}

.bg-cred  input::placeholder{
    color: rgba(30, 52, 98, 0.10);

}
.bg-cred  input:focus-visible {
    outline: #BBC2D0 auto 1px;
}


input.error {
    background-color: #fde8ef;
    color: #a03460;
}

#no_aut input.error {
    pointer-events: none;
}

.msn-error {
    color: #e74575 !important;
    text-align: left !important;
    display: flex;
    align-items: center;
}

.msn-error img {
   margin-right: 6px;
}

.bg-cred button{
    border-radius: 5px;
    width: 100%;
    border: 0;
    min-height: 50px;
    text-align: center;
    font-family: Roboto;
    font-size: 18px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    margin-top: 40px;
    transition: 0.3s;

}
.bg-cred button.disabled{
    background: #DDE0E7;
    color: #BBC2D0;
    pointer-events: none;
}
.bg-cred button.enabled{
    background: #00C2FF;
    color: #fff;
    cursor: pointer;
}


.footer {
    margin-top: 120px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.footer h6 {
    opacity: 0.6;
    color: #fff;
    font-family: Roboto;
    font-size: 16px;
    margin-right: 6px;
    font-weight: 500;
}

#no_aut  img.error  {
    margin: 18px auto;
   
}

#no_serv  img.error  {
    margin: 40px auto 10px;
   
}
#no_serv_captcha  img.error  {
    margin: 40px auto 10px;
   
}
#no_aut  .wrap-dni {
    margin-top: 20px;
    min-height: 90px;
}

.wrap-dni.error  input{
    background-color: #fde8ef;
    color: #a03460;
}

.wrap-dni.correcto  input{
    background-color: #e6f8ff;
    color: #465c81;
}


.volver {
    display: flex;
    align-items: center;
    justify-content: flex-start;

}

#no_aut .volver, #cred .volver, #no_serv .volver {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    color: #5F6A82;
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Roboto;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 16px; /* 100% */
    text-decoration: none;

}
#cred, #no_aut {
    opacity: 0;
    transition: opacity 1s ease-in-out; 
}

.volver img {
   margin-right: 6px;
}


.card {
    border-radius: 10px;
border: 1px solid rgba(95, 106, 130, 0.10);
background: #FFF;
box-shadow: 0px 4px 30px 2px rgba(0, 0, 0, 0.05);
    min-height: 280px;
    
    padding: 24px;
    display: flex;
    justify-content: space-between;
    align-items:stretch;
    margin-bottom: 30px;
    /* background-color: #ffa3a3; */
    position: relative;
    

}

.card:after {
    content: "";
    position: absolute;
    background-image: url('../img/bg-identidad.png');
    background-size: cover;
    background-repeat: no-repeat;
    /* background-position: -50px 30% ; */
    width: 100%;
    height: auto;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 0;
}

.card .ident {
    flex: 1;
    /* background-color: cyan; */
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    padding-top: 16px;
    z-index: 1;

}

.card .ident img{
    width: 140px;
    height: 140px;
    overflow: hidden;
    border-radius: 8px;
 }
.card .ident .name{
   flex-grow: 1;
   margin-top: auto;
   display: flex;
   flex-direction: column;
   align-items: flex-start;
   justify-content: flex-end;

   color:  #1E3462;
    font-family: "Gotham Rounded";
    font-size: 22px;
    font-style: normal;
    font-weight: 300;
    line-height: 24px; /* 109.091% */
    text-align: left;


}

.card .ident .name .ap{ 

color:  #1E3462;
font-family: "Gotham Rounded";
font-size: 24px;
font-style: normal;
font-weight: 500;
line-height: 24px; /* 100% */
}
.card .datos {
    flex: 1;
    min-width: 52%;
    display: flex;
    flex-direction: column;
    align-items: flex-end ;
}

.card .datos .logo {
    width: 130px;
    height: auto;
    margin-top: 16px;
    margin-bottom: 20px;
}
.card .datos span {
  color: #5F6A82;
    text-align: right;
    font-family: Roboto;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px; /* 171.429% */
    text-transform: uppercase;
}
.card .datos .dato {
    color: #5F6A82;
    text-align: right;
    font-family: Roboto;
    font-size: 22px;
    font-style: normal;
    font-weight: 600;
    line-height: 24px; /* 100% */
    letter-spacing: 0.48px;
    margin-bottom: 20px;
}
.card .datos .not {
    display: flex;
    align-items: center;
    color: #5F6A82;
    text-align: right;
    font-family: Roboto;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 12px; /* 100% */
}
.card .datos .not img {
   margin-left: 4px;
}

.validado {
    display: flex;
    align-items: flex-start;
    color:  #1E3462;
    font-family: "Gotham Rounded";
    font-size: 24px;
    font-style: normal;
    text-align: left;
    font-weight: 500;
    line-height: 24px; /* 100% */

}

.validado img{
    margin-right: 12px;

}

.color-red { color: #e74575 !important; }

#btn-validar-dni{
    cursor: pointer;
}
#btn-validar-dni:hover {
    background-color: #015ca2;
}


@media(max-width:610px) {
    .bg-cred input {
   
    max-width: 50px;
    width: 100%;
    min-height: 80px;
    padding: 15px;
   
    gap: 8px;
    font-size: 25px;
    }
}
@media(max-width:575px) {
    .card {
        flex-direction: column;
        align-items: center;
        justify-content: center;
        max-width: 500px;
        overflow: hidden;
    }

    .card:after {
      transform: rotateZ(90deg);  
      overflow: hidden;
      background-position: -300px -100px;
      top: -260px;
    }
     .card .ident {
        
        align-items: center;
        justify-content: center;
    }

     .card .ident .name {
        margin-top: 16px;
        align-items: center;
        justify-content: center;
        margin-bottom: 20px;
    }
    .card .datos {
        justify-content: center;
        align-items: center;
        
    }
    .card .datos .logo{
        order: 10;
        margin-top: 22px;
        
    }
     .card .datos .not{
        flex-direction: row-reverse;
        justify-content: flex-start;
        text-align: left;
        max-width: 250px;
      }
    .card .datos .not img{
        margin-right: 8px;
    }  
    .wrap-logo img {
        width: 50%;
    }

    .wrap-logo .logo {
        margin-right: 14px;
    }
    .validado {
    white-space: balance;
    font-size: 18px;
    } 
    .card .datos span {
        margin-bottom: 8px;
    }
    .card .datos span, .card .datos .dato {
        text-align: center;
        line-height: 20px;
    }


}

@media(max-width:520px) {
    .bg-cred input {
   
    max-width: 40px;
    width: 100%;
    min-height: 60px;
    padding: 8px;
    gap: 8px;
    font-size: 20px;
    }

    .bg-cred h2 {
    color: var(--1-e-3462, #1E3462);
    text-align: center;
    font-family: "Gotham Rounded";
    font-size: 20px;
    line-height: 23px;
    }
    #no_aut img.error {
        width: 100px;
        height: auto;
    }
    .bg-cred {
        padding: 40px 20px;
        min-height: 480px;
    }
    .bg-cred h1 {
        font-size: 24px;
        line-height: 23px;
    }
} 

@media (max-width: 420px) {
        .bg-cred input {
        max-width: 30px;
        width: 100%;
        min-height: 50px;
        padding: 8px;
        gap: 8px;
        font-size: 16px;
    }
 }

@media (max-width: 384px) {
    .card:after {
        transform: rotateZ(90deg);
        overflow: hidden;
        background-position: -385px -100px;
        top: -343px;
    }
     .bg-cred input {
        max-width: 30px;
        width: 100%;
        min-height: 50px;
        padding: 8px;
        gap: 8px;
        font-size: 16px;
    }
    
}

@media(max-width: 375px) {
   .bg-cred {
        padding: 30px 20px;
   }
    .card:after {
   
    background-position: -440px -110px;
    top: -380px;
    } 

    .bg-cred h1 {
        font-size: 22px;
        line-height: 23px;

    }
}